## Checklist for the Merge Request Author

- [ ] Follow [CONTRIBUTING.MD](https://github.com/MiRoboticsLab/cyberdog_ros2/blob/main/CONTRIBUTING.md)
  - [ ] Commit messages are signed(`git commit -s`)
  - [ ] Commit author matches [Individual Contributor License Agreement](https://cdn.cnbj2m.fds.api.mi-img.com/cyberdog-package/packages/doc_materials/cla_zh_en.pdf)
- [ ] Commits messages are according to this [guideline](https://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html)
  - [ ] Commit messages have one prefix in [[Fix]/[New]/[Modify]]. Choose one.
    - [ ] Fix bug/s
    - [ ] New feature/s
    - [ ] Modify feature/s
  - [ ] Commit messages have the issue ID (`[xxx] #123 commit text`). Replace `123` to your issue id..
  - [ ] Make sure your commit message is like `[xxx] #123 commit text`.
- [ ] [Relevant issues](#relevant-issues) are linked
- [ ] Assign reviewer for MR
- [ ] All check passed

## Note for Merge Request

Introduce your merge request.

## Relevant issues

- [issue_1](url_to_issue_1)
- [issue_2](url_to_issue_2)
